%global commit ebbba827a5d979e8b8e6dc2a4831ab806976a6de
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global mod_name gtk-theme-config

Name:           gtk-theme-config
Version:        0.1
Release:        1%{?dist}
Summary:        Little tool to configure GTK theme colors.
License:        GPLv3
URL:            https://github.com/satya164/gtk-theme-config
Source0:        https://github.com/satya164/gtk-theme-config/archive/%{commit}/%{mod_name}-%{commit}.tar.gz

BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: vala
BuildRequires: gettext
BuildRequires: desktop-file-utils

%description
This little tool allows anyone to change some basic elements of a GTK theme
easily (both GTK2 and GTK3) with a simple interface.

%prep
%setup -q -n %{mod_name}-%{commit}

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

for file in $RPM_BUILD_ROOT/%{_datadir}/applications/*.desktop; do
    desktop-file-validate $file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files
%doc AUTHORS LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Sun Mar 08 2015 Tonet Jallo <tonet666@gmail.com> - 0.1-1
- Initial Package.


